PKGCTL-SEARCH(1)

NOME
pkgctl-search - Pesquisa uma expressão em todo o grupo packaging no GitLab

SINOPSE

pkgctl search [OPÇÕES] CONSULTA

DESCRIÇÃO

Pesquisa uma expressão no grupo de empacotamento 'packaging' no GitLab.

Para usar um filtro, inclua-o na sua consulta. Você pode usar curingas (*) para usar a correspondência glob.

Filtros disponíveis para o escopo de blobs: path, extension

Cada uso do comando de pesquisa deve ser autenticado. Consulte o comando 'pkgctl auth' para autenticar com o GitLab ou visualizar o status da autenticação.

DICAS DE PESQUSA

    Sintaxe Descrição             Exemplo
    ──────────────────────────────────────────────
    "       Pesquisa exata       "gem sidekiq"
    ~       Pesquisa aproximada   J~ Doe
    |       Ou                    display | banner
    +       E                     display +banner
    -       Exclusão              display -banner
    *       Parcial               bug error 50*
    \       Escape                \*md
    #       ID da issue           #23456
    !       Solic. Mesclagem      !23456

OPÇÕES

-h, --help
    Mostra um texto de ajuda.

OPÇÕES DE FILTRAGEM

--no-default-filter
    Não aplica o filtro padrão (como -path:keys/pgp/*.asc)

OPÇÕES DE SAÍDA

--json
    Habilita impressão em JSON; Atalho para '--format json'

-F, --format FORMATO
    Controla a formatação dos resultados; FORMATO é 'pretty', 'plain' ou 'json' (o padrão é pretty)

-N, --no-line-number
    Não mostra números de linha ao formatar resultados

VEJA TAMBÉM

pkgctl-auth(1)

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).